@echo off
REM @echo on
REM
REM Tool to retrieve information needed for issuing an SAMG release 2016
REM license for this Windows machine.
REM
REM Base: FLEXlm V11.14.0
REM

set outfile=FLEXlmMachineInfo.txt

echo +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo +++ Tool to retrieve information needed for issuing either:
echo +++
echo +++ - a NODE LOCKED license for SAMG release 2016
echo +++   enabling run of SAMG applications on THIS Windows machine
echo +++
echo +++ - or a FLOATING license for SAMG release 2016
echo +++   with this machine being [one of] the LICENSE SERVER[s],
echo +++   serving SAMG licenses for machines in [parts of] this IP network
echo +++   IMPORTANT:
echo +++   - ALL machines to be used for runs of SAMG applications MUST be
echo +++     IP-connected with this license server machine.
echo +++   - If you want a license for THREE-SERVER REDUNTANT license servers,
echo +++     please be sure to supply us with the respective information for
echo +++     each of the three machines.
echo +++   - If you intended to run SAMG's license server combined with other
echo +++     license servers and several FlexNet hostids are listed for this
echo +++     machine, please point out which of them is used by the
echo +++     combined license server[s].
echo +++
echo +++   - ADDITIONALLY to the output below we need the [range of] IP-adresses
echo +++     of the machines supposed to run SAMG applications.
echo +++
echo +++ ATTENTION:
echo +++ All Hardware Cards of this machine must be set up and activated in
echo +++ exactly the same way as they will be when running SAMG applications
echo +++ rsp. SAMG's license server daemon.
echo +++
echo +++ The information will be written into file %outfile%
echo.
pause
goto start

:start
if exist %outfile% (
  del /f %outfile%
)

set osind=WindowsX64

:doit
echo SAMG release 2016 license request> %outfile%
echo =================================>> %outfile%
echo OS: %osind%>> %outfile%
%osind%\lmutil lmhostid>> %outfile%
%osind%\lmutil lmhostid -internet>> %outfile%
%osind%\lmutil lmhostid -hostname>> %outfile%
%osind%\lmutil lmhostid -hostdomain>> %outfile%

echo.
echo.
echo.
echo +++ Contents of file %outfile% :
echo.
more %outfile%

echo.
echo +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo +++ 
echo +++ For requiring an SAMG release 2016 license please attach file
echo +++             %outfile% 
echo +++ to an email to:
echo +++                 samg@scapos.com 
echo +++ 
echo +++ This email should additionally contain the following information and data:
echo +++ - The name and full postal address of your company
echo +++ - The name and email address of the contact person to obtain the license
echo +++
echo +++ - Whether you require a NODE LOCKED license or a FLOATING LICENSE plus,
echo +++   in case of a FLOATING LICENSE:
echo +++    - The range of IP addresses of the machines to be used for SAMG runs
echo +++    - If this machine is to be used in a license server triad:
echo +++      - The lmhostid of the other machines of that triad.
echo +++      - If several hostids are listed for this machine:
echo +++        - Which of these hostids is to be used for the license server?
echo ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
goto fin

:fin
REM ******************
REM * clear and exit *
REM ******************

:exit
